NAME
	search_array - search for something in an array

SYNTAX
	#include <array.h>

	int search_array(mixed *arr,function fun,mixed arg, ...);
	or
	int search_array(object *arr,string fun,mixed arg, ...);
	or
	int search_array(function *arr,-1,mixed arg, ...);

DESCRIPTION
	search_array works like map_array, only it returns the index of the
	first call that returned true instead or returning an array of the
	returned values. If no call returns true, -1 is returned.

KEYWORDS
	array

SEE ALSO
	sum_arrays, filter_array, member_array
